import {Component, Input, OnInit} from '@angular/core';
import {File} from '../file';
import {Directory} from '../directory';

@Component({
  selector: 'app-file-dir-card',
  templateUrl: './file-dir-card.component.html',
  styleUrls: ['./file-dir-card.component.scss']
})
export class FileDirCardComponent implements OnInit {

  @Input() isFile: boolean;
  @Input() level: number;
  @Input() file: File;
  @Input() directory: Directory;
  @Input() trace: number[];
  deleting: boolean;
  isExpanded = false;

  constructor() { }

  ngOnInit(): void {
  }

  onDelete(): void {
    //
  }
}
